Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Add a new email identity for the organization.
cURL
curl --request POST \ --url https://api.useinvent.com/orgs/emails/identities \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "email": "jsmith@example.com", "name": "<string>" } '
import requests url = "https://api.useinvent.com/orgs/emails/identities" payload = { "email": "jsmith@example.com", "name": "<string>" } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({email: 'jsmith@example.com', name: '<string>'}) }; fetch('https://api.useinvent.com/orgs/emails/identities', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.useinvent.com/orgs/emails/identities", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'email' => 'jsmith@example.com', 'name' => '<string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>", "Content-Type: application/json" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.useinvent.com/orgs/emails/identities" payload := strings.NewReader("{\n \"email\": \"jsmith@example.com\",\n \"name\": \"<string>\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.post("https://api.useinvent.com/orgs/emails/identities") .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .body("{\n \"email\": \"jsmith@example.com\",\n \"name\": \"<string>\"\n}") .asString();
require 'uri' require 'net/http' url = URI("https://api.useinvent.com/orgs/emails/identities") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer <token>' request["Content-Type"] = 'application/json' request.body = "{\n \"email\": \"jsmith@example.com\",\n \"name\": \"<string>\"\n}" response = http.request(request) puts response.read_body
{ "id": "<string>", "email": "<string>", "name": "<string>", "status": "PENDING", "domain": { "id": "<string>", "domain": "<string>", "dkim_status": "PENDING", "dkim_tokens": [ { "name": "<string>", "value": "<string>" } ], "verified_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "is_default": true, "click_tracking": true, "open_tracking": true, "verified_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Bearer token authentication using your API key
Schema for adding a new email identity
Email address to add as an identity
512
Display name for the identity
255
An email identity
Unique identifier for the email identity
Email address of the identity
Verification status of an email identity
PENDING
VERIFIED
FAILED
Linked email domain
Show child attributes
Whether this is the default identity for the org
Whether click tracking is enabled for this identity
Whether open tracking is enabled for this identity
Timestamp when the identity was verified
Timestamp when the identity was created
Timestamp when the identity was last updated
Was this page helpful?